/* $Id: config.h,v 3.0 1993/01/11 15:56:50 mike Exp $ */


/* Define DEBUG if you want init to send masses of DEBUG information
 * out via syslog. Unless who have a problem you probably don't want
 * this noise!
 */
#undef DEBUG

/* The location of inittab is *usually* here. */
#define INITTAB	"/etc/inittab"

/* It's probably a bad idea to change the name of the console device
 * here.
 */
#define CONSOLE	"/dev/console"

#define SHELL		"/bin/sh"

/* This is the command to be invoked in single user mode. sulogin comes
 * with the shadow password suite. If you don't have it you might like
 * to try '/bin/su < /dev/console > /dev/console 2>&1' or something similar.
 */
#define SUPROGRAM	"/etc/sulogin < /dev/console > /dev/console 2>&1"

/* The pid of the master init process is always 1 under Linux. Don't even
 * *think* of changing this!
 */
#define INITPID		1

#define INITRUNLVL	"/etc/initrunlvl"

/* Compile with support for syslog. This doesn't require syslogd
 * to be running. If we can't connect to syslogd we should just
 * write the message to the console. Compiling without syslog
 * support will make a smaller executable.
 */
#define SYSLOG


/* Linux versions 0.96 patch level 1 and later can be made to send
 * a SIGINT to process 1 when the user presses ctrl-alt-del. If you
 * want us to catch the signal and shutdown gracefully define the
 * name of the reboot program here.
 */
#define REBOOT_PROGRAM	"/bin/reboot"


/* The following define the sequence of events when init needs to
 * kill one or more processes (i.e. changing run level etc.). First
 * each process to be killed is sent a SIGHUP. After NOTIFY_TIME
 * seconds each process is sent a SIGINT. After a further WARN_TIME
 * seconds each remaining process is forcibly terminated by a SIGKILL.
 *
 * Officially SYSV init only sends SIGHUP then SIGKILL but the xdm I
 * have for Linux seems to shut down on SIGINT rather than SIGHUP?
 *
 * The wait time between the SIGHUP and SIGKILL are also in question.
 * The SCO manual page for init says 5 seconds. The SCO manual page
 * for inittab says 20 seconds. The init page claims conformance
 * with SVID Issue 2. The inittab page makes no claims :-)
 */
#define NOTIFY_TIME	5
#define WARN_TIME	2


/* If an inittab command is respawned more than RESPAWN_COUNT times
 * in RESPAWN_TIME seconds it is disabled until the inittab is reread.
 *
 * The SCO manual page for init says that the command will be retried
 * after 5 minutes but we don't support this (yet?)
 */
#define RESPAWN_COUNT	10
#define RESPAWN_TIME	120
